ubiquity crashed with DBusException in call_blocking(): org.freedesktop.DBus.GLib.UnmappedError.NmManagerError.Code5: The connection was not active.

Bug #883615 reported by Jesús R Cabrera S on 2011-10-29
32
This bug affects 3 people
Affects Status Importance Assigned to Milestone
OEM Priority Project
Medium
James M. Leddy
Precise
Medium
James M. Leddy
ubiquity (Ubuntu)
Medium
Colin Watson
Precise
Medium
Colin Watson

Bug Description

[Impact]

* Uncaught exceptions present a poor user experience.
* If a user accidentally enters a bad password, they have to wait until networkmanager fails the connection to retry because they the "Stop" button does not work.

[Test Case]

1. Choose 'Connect to this network' in the Wireless setup page. Enter password.
2. Click Connect
3. While system is trying to connect to wireless network, click 'Stop'. Observe nothing happens.
4. Click 'Stop' again. Installer crashes at this point. * detailed instructions how to reproduce the bug

[Regression Potential]

* Low.
* We have already tested the fix. The fix only fixes functionality for the "Stop" button. It is isolated and it does not change much of the other existing code.

[Other Info]

* We're willing to test -proposed asap to get this through before the 12.04.2 deadline.

[Original Description]

Entre con Live USB y luego ejecute INSTALAR desde el escritorio y antes de seleccionar la particion me aparecio un error de ubiquity

ProblemType: Crash
DistroRelease: Ubuntu 11.10
Package: ubiquity 2.8.7
ProcVersionSignature: Ubuntu 3.0.0-12.20-generic 3.0.4
Uname: Linux 3.0.0-12-generic i686
ApportVersion: 1.23-0ubuntu3
Architecture: i386
CasperVersion: 1.287
Date: Sat Oct 29 14:07:47 2011
ExecutablePath: /usr/lib/ubiquity/bin/ubiquity
InterpreterPath: /usr/bin/python2.7
LiveMediaBuild: Ubuntu 11.10 "Oneiric Ocelot" - Release i386 (20111012)
ProcCmdline: /usr/bin/python /usr/lib/ubiquity/bin/ubiquity --greeter --only
ProcEnviron: Error: [Errno 13] Permiso denegado: '/proc/4624/environ'
PythonArgs: ['/usr/lib/ubiquity/bin/ubiquity', '--greeter', '--only']
SourcePackage: ubiquity
Title: ubiquity crashed with DBusException in call_blocking(): org.freedesktop.DBus.GLib.UnmappedError.NmManagerError.Code5: The connection was not active.
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

Related branches

Jesús R Cabrera S (jrcsdev) wrote :
tags: removed: need-duplicate-check
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubiquity (Ubuntu):
status: New → Confirmed
Changed in ubiquity (Ubuntu):
importance: Undecided → Medium
visibility: private → public
Christopher Townsend (townsend) wrote :

I have also hit this issue in 12.04 w/ Ubiquity version 2.10.20. For me, this occurs in the Wifi setup page. To reproduce:

1. Choose 'Connect to this network' in the Wireless setup page. Enter password.
2. Click Connect
3. While system is trying to connect to wireless network, click 'Stop'. Observe nothing happens.
4. Click 'Stop' again. Installer crashes at this point.

Changed in oem-priority:
importance: Undecided → Medium
Changed in oem-priority:
assignee: nobody → James M. Leddy (jm-leddy)
status: New → Confirmed
tags: added: rls-r-tracking
Shih-Yuan Lee (fourdollars) wrote :

Hi,

Jesse provides a fix at https://code.launchpad.net/~wenchien/ubuntu/precise/ubiquity/lp883615/+merge/137510 .
It would be nice if someone can review and merge it.

tags: added: patch
description: updated
Colin Watson (cjwatson) on 2013-01-03
Changed in ubiquity (Ubuntu):
status: Confirmed → Fix Committed
Changed in ubiquity (Ubuntu Precise):
status: New → In Progress
importance: Undecided → Medium
Changed in oem-priority:
status: Confirmed → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.13.8

---------------
ubiquity (2.13.8) raring; urgency=low

  [ Colin Watson ]
  * Honour base-installer/kernel/altmeta when deciding which kernels to
    install or keep installed.

  [ Dmitrijs Ledkovs ]
  * Moving question dialog to use a glade ui file, made it non
    "re-entrant" safe, i.e. it started to remember previous action area
    buttons. The fix is to clear action area, all other parts of the
    dialog are always reset with something fresh. (LP: #1087823)
  * ubiquity-dm: compiz actually doesn't have bg-image.
  * ubi-partman: Do not allow to select encryption without lvm
    (LP: #1093957).
  * Automatic update of included source packages: debian-installer-utils
    1.94ubuntu1, flash-kernel 3.0~rc.4ubuntu29, localechooser
    2.49ubuntu1, netcfg 1.68ubuntu17, partman-auto 105ubuntu2, partman-
    auto-lvm 46ubuntu2, partman-base 163ubuntu1, partman-ext3 74ubuntu1,
    partman-jfs 38, partman-partitioning 89ubuntu1, partman-target
    80ubuntu1, preseed 1.57ubuntu2, user-setup 1.47ubuntu1.

  [ Scott Kitterman ]
  * Change encrypt home question to checkbox and indent it under the login
    option to make it clear it is a sub question to the login option
    (LP: #1066225)

  [ Jesse Sung ]
  * Fix multiple issues with Back/Stop and Continue/Connect buttons on
    wireless page (LP: #883615).
 -- Dmitrijs Ledkovs <email address hidden> Wed, 09 Jan 2013 15:40:19 +0000

Changed in ubiquity (Ubuntu):
status: Fix Committed → Fix Released
Colin Watson (cjwatson) on 2013-01-10
Changed in ubiquity (Ubuntu Precise):
milestone: none → ubuntu-12.04.2
assignee: nobody → Colin Watson (cjwatson)
Changed in ubiquity (Ubuntu):
assignee: nobody → Colin Watson (cjwatson)

Hello jrcsdev, or anyone else affected,

Accepted ubiquity into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/ubiquity/2.10.24 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ubiquity (Ubuntu Precise):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in oem-priority:
status: In Progress → Fix Committed
Shih-Yuan Lee (fourdollars) wrote :

It works fine, thanks.

tags: added: verification-done
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.10.24

---------------
ubiquity (2.10.24) precise; urgency=low

  [ Jesse Sung ]
  * Fix multiple issues with Back/Stop and Continue/Connect buttons on
    wireless page (LP: #883615).

  [ Kent Baxley ]
  * Hide the back button at the beginning of oem-config (LP: #1095692).
 -- Colin Watson <email address hidden> Thu, 10 Jan 2013 12:32:41 +0000

Changed in ubiquity (Ubuntu Precise):
status: Fix Committed → Fix Released
Changed in oem-priority:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers